Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 79633

Summary: poor source code
Product: [Retired] Red Hat Linux Reporter: d.binderman
Component: compat-gccAssignee: Jakub Jelinek <jakub>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-10-02 21:04:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description d.binderman 2002-12-14 10:22:50 UTC
Description of problem:

Hello there,

I just tried to compile package compat-gcc-7.3-2.96.110 from Redhat 8.0.

Here are some of the compiler messages.

../../gcc/ssa.c:854: warning: operation on `ssa_definition' may be undefined
../../gcc/ssa.c:855: warning: operation on `ssa_uses' may be undefined

Here is a patch which shuts up the compiler.

*** ./gcc/ssa.c.old	2002-11-25 09:14:10.000000000 +0000
--- ./gcc/ssa.c	2002-11-25 09:16:54.000000000 +0000
***************
*** 851,858 ****
        if (new_regno >= (int) ssa_definition->num_elements)
  	{
  	  int new_limit = new_regno * 5 / 4;
! 	  ssa_definition = VARRAY_GROW (ssa_definition, new_limit);
! 	  ssa_uses = VARRAY_GROW (ssa_uses, new_limit);
  	}
  
        VARRAY_RTX (ssa_definition, new_regno) = r->set_insn;
--- 851,858 ----
        if (new_regno >= (int) ssa_definition->num_elements)
  	{
  	  int new_limit = new_regno * 5 / 4;
! 	  VARRAY_GROW (ssa_definition, new_limit);
! 	  VARRAY_GROW (ssa_uses, new_limit);
  	}
  
        VARRAY_RTX (ssa_definition, new_regno) = r->set_insn;



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:

Comment 1 Jakub Jelinek 2003-01-07 17:02:55 UTC
SSA is totally unsupported in gcc-2.96-RH, so it doesn't really matter.

Comment 2 d.binderman 2003-01-07 20:51:30 UTC
>SSA is totally unsupported in gcc-2.96-RH, so it doesn't really matter.

I fail to understand.

The package is a deliverable in RH 8.0, and it's got bugs in it.

Can I interest you in fixing them ? 

I have supplied a patch.

I agree fixing compatability packages might not be the most important
thing to do.


Comment 3 Jakub Jelinek 2004-10-02 21:04:23 UTC
-fssa was experimental and killed in later releases (only GCC 4 has
tree-SSA, which is very different fromthe experimental SSA on rtl).
Given that nobody should be using it, I don't see any point in fixing this,
especially in compat package.